ranges::transformed< Fn1, Fn2 > Struct Template Reference
Functional

## Public Member Functions

auto | invoke ((Fn2 const &) second_, static_cast< Args &&>(args)...)) noexcept(noexcept(decltype(CPP_AUTO_FUN_RETURNS_const)(CPP_AUTO_FUN_RETURNS_const))) -> decltype(CPP_AUTO_FUN_RETURNS_const)
template<typename... Args>
auto | operator() (Args &&... args) noexcept(noexcept(decltype(invoke(first_, invoke(second_, static_cast< Args &&>(args)...)))(invoke(first_, invoke(second_, static_cast< Args &&>(args)...))))) -> decltype(invoke(first_, invoke(second_, static_cast< Args &&>(args)...)))
template<typename... Args>
auto | operator() (Args &&... args) return invoke((Fn1 const &) first_
constexpr | transformed (Fn1 fn1, Fn2 fn2)